summaryrefslogtreecommitdiff
path: root/script/handle
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-10 15:55:02 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-10 15:55:02 +0100
commitf227cc081e34605475293dc9245ed4ca752201a9 (patch)
tree1034afff39fe794e65da1460815acb370044624b /script/handle
parent669c9770cdd81692f28e3f43fc7aa26a43c354ef (diff)
handle/make/config: fix distclean/crossgcc-clean
these commands weren't being run at all, leading to binaries (such as xgcc) not being removed, and thus they were present in tested release archives. this bug did not affect libreboot 20230625. it appeared during my audit, post-20230625. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/handle')
-rwxr-xr-xscript/handle/make/config5
1 files changed, 2 insertions, 3 deletions
diff --git a/script/handle/make/config b/script/handle/make/config
index 1245fe3f..f406d221 100755
--- a/script/handle/make/config
+++ b/script/handle/make/config
@@ -106,8 +106,7 @@ main()
handle_defconfig()
{
- handle_dependencies "${target}" || \
- fail "handle_defconfig: failed call to handle_dependencies"
+ handle_dependencies "${target}" || return 0
for y in "${target_dir}/config"/*; do
[ -f "${y}" ] || continue
@@ -150,7 +149,7 @@ handle_dependencies()
[ "${mode}" = "crossgcc-clean" ]; then
printf "Directory %s doesn't exist; skipping clean\n" \
"${codedir}" 1>&2
- exit 0
+ return 1
fi
./update project trees "${project}" "${target}" || \
fail "handle_dependencies: can't fetch ${project}/${target}"